FTBFS: build-depends on python but expects python2.5

Bug #506240 reported by Mathieu Trudel-Lapierre on 2010-01-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
atheist (Ubuntu)
Wishlist
Unassigned

Bug Description

In the latest rebuild test for atheist, it failed to build because it build-depends on python, which does not provide python2.5:

http://launchpadlibrarian.net/37025668/buildlog_ubuntu-lucid-i386.atheist_0.20091130-1_FAILEDTOBUILD.txt.gz

Related branches

Changed in atheist (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
assignee: nobody → Mathieu Trudel (mathieu-tl)

Hopefully I'm doing this right: in order to fix the issue, I've opted to replace the dependency on python with python-all and Python-Version: 2.5 with all. It appears to me like it is pretty much the smallest change possible, builds cleanly, and the application still seems to run correctly.

Attached debdiff appears to correct the issue.

Changed in atheist (Ubuntu):
assignee: Mathieu Trudel (mathieu-tl) → nobody
Charlie_Smotherman (cjsmo) wrote :

Mathieu,

I would prefer that you changed python-all back to just python and us XS-Python-Version: >= 2.5. Could you also please start using bzr to do your work https://wiki.ubuntu.com/DistributedDevelopment/Documentation

Best regards
Charlie Smotherman

Changed in atheist (Ubuntu):
assignee: nobody → Charlie_Smotherman (porthose) (cjsmo)
assignee: Charlie_Smotherman (porthose) (cjsmo) → nobody
status: In Progress → Incomplete

Charlie,

Sure, done!

As for Bazaar, I was already using it, and there should initially have been a branch attached to this bug. In any case, I've now added a merge request to my branch -- lp:~mathieu-tl/ubuntu/lucid/atheist/ftbfs-lp506240

/ Matt

Changed in atheist (Ubuntu):
status: Incomplete → Confirmed
Changed in atheist (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Charlie_Smotherman (porthose) (cjsmo)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package atheist - 0.20091130-1ubuntu1

---------------
atheist (0.20091130-1ubuntu1) lucid; urgency=low

  * Fix FTBFS: also build for python versions after 2.5 (LP: #506240)
 -- Mathieu Trudel <email address hidden> Mon, 11 Jan 2010 18:11:25 -0500

Changed in atheist (Ubuntu):
status: In Progress → Fix Released
Charlie_Smotherman (cjsmo) wrote :

Mathieu,

Thank you for contribution to Ubuntu

Changed in atheist (Ubuntu):
assignee: Charlie_Smotherman (porthose) (cjsmo) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers